.pdf-modal-container {
    padding: 0 20px;
}

.image-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
    /*max-height: 400px;*/
    overflow-y: auto;
    border: 1px solid #ddd;
    padding: 10px;
    border-radius: 8px;
    background-color: #f9f9f9;
}

.image-item {
    display: flex;
    align-items: stretch;
    gap: 10px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 6px;
    background-color: #fff;
    width: 100%;
    min-height: 150px;
    height: 190px; /* <--- Add this */
}

.image-item .drag-handle {
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: grab;
    padding: 4px;
    border-radius: 4px;
}

.image-item .drag-handle:active {
    cursor: grabbing;
}

.textarea-container {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
    height: 100%;
    min-height: 100px;
}

.textarea-container textarea {
    flex: 1 1 0;
    height: 100%;
    min-height: 60px;
    resize: vertical;
    margin-top: 6px;
    font-size: 0.8em;
}

.image-item img {
    width: 130px;
    height: 100px;
    object-fit: contain;
    border-radius: 4px;
    border: 1px solid #ddd;
}

.image-item .image-name {
    font-size: 0.9rem;
    color: #555;
}

.sortable-ghost {
    opacity: 0.5;
}

.image-list label {
    font-size: 0.9rem;
}
